SNMPGETNEXT(1)

NAME
snmpgetnext - communicates with a network entity using SNMP GETNEXT requests

SYNOPSIS
snmpgetnext [COMMON OPTIONS] [-Cf] OID [OID]...

DESCRIPTION
snmpget is an SNMP application that uses the SNMP GETNEXT request to query for information on a network entity. One or more object identifiers (OIDs) may be given as arguments on the command line. Each variable name is given in the format specified in variables(5). For each one, the variable that is lexicographically "next" in the remote entity's MIB will be returned.

For example:

snmpgetnext -c public zeus interfaces.ifTable.ifEntry.ifType.1

will retrieve the variable interfaces.ifTable.ifEntry.ifType.2:

interfaces.ifTable.ifEntry.ifType.2 = softwareLoopback(24)

If the network entity has an error processing the request packet, an error message will be shown, helping to pinpoint in what way the request was malformed.

OPTIONS

-Cf If -Cf is not specified, some applications (snmpdelta, snmpget, snmpgetnext and snmpstatus) will try to fix errors returned by the agent that you were talking to and resend the request. The only time this is really useful is if you specified a OID that didn't exist in your request and you're using SNMPv1 which requires "all or nothing" kinds of requests.

In addition to this option, snmpgetnext takes the common options described in the snmpcmd(1) manual page. Note that snmpgetnext REQUIRES an argument specifying the agent to query and at least one OID argument, as described in the snmpcmd(1) manual page.

SEE ALSO
snmpcmd(1), snmpget(1), variables(5).